BRP Connect API

GET /v1/transactions/{transaction_id}

Eine einzelne Transaktion über ihre Kennung abrufen. Erforderlicher Scope: transactions:read

Als Markdown anzeigen
GET
/v1/transactions/{transaction_id}
X-Api-Key<token>

In: header

Path Parameters

transaction_idstring

Kennung der Transaktion

Response Body

curl -X GET "https://api.otark.energy/v1/transactions/txn_k8m2p4q7r1"
{
  "id": "txn_k8m2p4q7r1",
  "type": "ppa",
  "contract_id": "con_a1b2c3d4",
  "status": "valid",
  "version": 2,
  "previous_transaction_id": "txn_j5n3w8v2x6",
  "sender": {
    "eic": "11YDIREKTVERM--A",
    "asset_id": "ast_w1x2y3z4",
    "tso": "DE_TENNET"
  },
  "receiver": {
    "eic": "11YSTADTWERKE--Z",
    "tso": "DE_TENNET"
  },
  "delivery_start": "2026-07-15T11:00:00Z",
  "delivery_end": "2026-07-15T11:15:00Z",
  "slot_number": 53,
  "volume": 1.563,
  "created_at": "2026-07-14T10:30:00Z"
}

{
  "type": "https://brp.otark.energy/errors/invalid_api_key",
  "title": "Ungültiger API-Schlüssel",
  "status": 401
}

{
  "type": "https://brp.otark.energy/errors/insufficient_scopes",
  "title": "Unzureichende Scopes des API-Schlüssels",
  "status": 403,
  "detail": "Missing scope: customers:write. Please create a new API key with the required scopes."
}

{
  "type": "https://brp.otark.energy/errors/customer_not_found",
  "title": "Kunde nicht gefunden",
  "status": 404,
  "instance": "/v1/customers/cust_r8s9t0u1"
}